Subject: [dmarc-ietf] MLM Transformations Revisited

From: Alessandro Vesely <[email-masked]>
Date: Mon, 16 Nov 2020 13:35:36 +0100

Hi all,

in September, I developed a mail filter more or less around Murray's idea of MLM transformations[*].  It needed MLM support.  A reply on the Mailman developers mailing list[†] made it clear to me that it won't work that way.  So I rewrote the filter in order to make it work in the current environment.  Details are in the I-D referred below.  Installed on my mail server, the filter does indeed verify some of the original signatures on this mailing list.

As I'm going to release the filter in the near future, I beg of you to post constructive comments soon.  In fact, hard-coded names will be difficult to change after multiple users will have installed and configured the filter.  So, if something sounds indigestible, please tell me ASAP.

Thanks in advance for any comment.
Ale

[*] https://tools.ietf.org/html/draft-kucherawy-dkim-transform
[†] https://mail.python.org/archives/list/[email-masked]/thread/AHHHY5XN3CAM4PFVAYSKFITFXFPL6575/

-------- Forwarded Message --------
Subject: New Version Notification for draft-vesely-dmarc-mlm-transform-00.txt
Date: Mon, 16 Nov 2020 03:05:27 -0800
From: [email-masked]
To: Alessandro Vesely <[email-masked]>

A new version of I-D, draft-vesely-dmarc-mlm-transform-00.txt
has been successfully submitted by Alessandro Vesely and posted to the
IETF repository.

Name:		draft-vesely-dmarc-mlm-transform
Revision:	00
Title:		Mailing List Manager (MLM) Transformations
Document date:	2020-11-16
Group:		Individual Submission
Pages:		15
URL:            https://www.ietf.org/archive/id/draft-vesely-dmarc-mlm-transform-00.txt
Status:         https://datatracker.ietf.org/doc/draft-vesely-dmarc-mlm-transform/
Html:           https://www.ietf.org/archive/id/draft-vesely-dmarc-mlm-transform-00.html
Htmlized:       https://tools.ietf.org/html/draft-vesely-dmarc-mlm-transform-00

Abstract:
   The widespread adoption of Domain-based Message Authentication,
   Reporting, and Conformance (DMARC) led Mailing List Managers (MLM) to
   rewrite the From: header field as a workaround.

   This document describes cases where it is possible to revert MLM
   transformations and hence verify DomainKeys Identified Mail (DKIM)
   signatures that were applied at submission time.  For reliable
   results, some compliance is required of all agents involved, author
   domain signers, MLMs, forwarders, and final recipients.

   MLM transformation reversion reduces the DMARC's effects on indirect
   mail flows.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat